<?php

        /*
         *  $Id: config.inc,v 1.14 2007-10-20 18:36:53 marlow Exp $
         *
         *  WiFiMap configuration file
         *
         */


	// you wanna debug ?? :)
	// set this to TRUE for database debugging
	$dbdebug = TRUE;

	function db_error_handling($db, $query = "")
	{
		GLOBAL $dbdebug;

		if($dbdebug == TRUE)
		{
			if ($query != "") print $query."<br>";
			die ($db->getMessage());
		} else
			die ("Database error.");
	}

	session_start();

	// let's invoke the database
	// - please change host, database, user and password values
	//
	require_once "DB.php";
  
	$db_host     = "localhost";
	$db_user     = "wifimap"; 
	$db_password = "wifimap";
	$db_database = "wifimap"; 
	$db_prefix   = "";

	// connecting to database
	//
	$db_dsn = "mysql://".$db_user.":".$db_password."@tcp+".$db_host."/".$db_database;
	$db = DB::connect($db_dsn);
	if (DB::isError($db)) db_error_handling($db);
  
	if(!strpos($_SERVER["REQUEST_URI"],"?"))
		$uri = $_SERVER["REQUEST_URI"];
	else
		$uri = substr($_SERVER["REQUEST_URI"], 0, strpos($_SERVER["REQUEST_URI"],"?"));

	$site_options = array();
	// list($site_options["action"], $site_options["map"], $site_options["view"]) = explode("/", substr($uri, strlen($_SERVER["SCRIPT_NAME"])+1), 3);

	$site_options["return"]      = "\n";
	$site_options["serveradmin"] = "localhost@localhost";
	$site_options["smtp_host"]   = "localhost";

	function html_header()
	{
		GLOBAL $site_options;

		// site header
		//
		$header     = '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">'.$site_options["return"];
		$header    .= '<html xmlns="http://www.w3.org/1999/xhtml" xmlns:v="urn:schemas-microsoft-com:vml"><head>'.$site_options["return"];
		$header    .= '<style type="text/css">'.$site_options["return"];
		$header    .= '   v\:* {'.$site_options["return"];
		$header    .= '   behavior:url(#default#VML);'.$site_options["return"];
		$header    .= '   }'.$site_options["return"];
		$header    .= '</style>'.$site_options["return"];

		// Google Map
		$header    .= '<script src="http://maps.google.com/maps?file=api&v=2&key=ABQIAAAAs0LEdP3JS-6CVkMcip2mRBRwwawHxxFcUIW9mxrY6YKV-eEmMhROMOXhez-IUVNUOcR_3R_IysEvtw" type="text/javascript"></script>'.$site_options["return"];

		$header    .= '</head><body style="font-family: Verdana, sans-serif; font-size: 10pt; background-color: white;" onunload="GUnload()">'.$site_options["return"];

		return $header;
	}

	// site footer
	//
	$footer   .= '<div id="footer" style="position: absolute; top: 620px; left: 10px; width: 1000px; height: 80px">';
	$footer   .= '<font style="font-family: Verdana, sans-serif; font-size: 8pt;"><a href="http://doc.thewan.net/wiki/index.php/Development">WiFiMap</a> - Development 2004-2007 by Martin List-Petersen - marlow (at) thewan (dot) net - Last script update: '.date("d.m.Y H:i T", filectime($_SERVER["SCRIPT_FILENAME"])).'</font>';
	$footer   .= '</div>';
	$footer   .= '<div id="blankDiv" style="position: absolute; left: 0; top: 0; visibility: hidden"></div>'.$site_options["return"];
	$footer   .= '</body></html>';

	// site pre
	if($_SERVER["HTTPS"] == "on")
		$pre = "https://";
	else
		$pre = "http://";
                
	$site_options["pre"]     = $pre.$_SERVER["HTTP_HOST"].substr($_SERVER["REQUEST_URI"], 0, strrpos($_SERVER["REQUEST_URI"], "/"))."/";
	$site_options["pre_img"] = $site_options["pre"];

	$node_size = array(
		"client"             => "6",
		"node"               => "20",
		"super"              => "20",
		"relay"              => "20",
		"planned"            => "20",
		"monitored"          => "20",
		"unmonitored"        => "20"
	);

	$linktype   = array(
		"a"                  => "802.11a (5 GHz)",
		"b"                  => "802.11b (2.4 GHz)",
		"g"                  => "802.11g (2.4 GHz)"
	);

?>