<?php

  /*
   *  $Id: db-migrate-to-20071023.php,v 1.2 2007-10-26 14:23:55 marlow Exp $
   *
   *  initial database migration script
   *
   */

  include("../include/config.inc");
  
  $query  = "ALTER TABLE node_ips CHANGE ip old_ip VARCHAR( 15 );";
  $q_link = $db->query($query);
  if(DB::isError($q_link)) db_error_handling($q_link, $query);

  $query  = "ALTER TABLE node_ips ADD ip INT(11) NOT NULL AFTER node_id;";
  $q_link = $db->query($query);
  if(DB::isError($q_link)) db_error_handling($q_link, $query);

  // total node count
  $query  = "SELECT id,old_ip FROM node_ips";
  $storequery .= $query."\n"; // debug

  $q_link = $db->query($query);
  if(DB::isError($q_link)) db_error_handling($q_link, $query);

  while($row = $q_link->fetchRow(DB_FETCHMODE_ASSOC))
  {
    $query = "UPDATE node_ips SET ip='".ip2long($row["old_ip"])."' WHERE id='".$row["id"]."'";
    $storequery .= $query."\n"; // debug
    $q_update = $db->query($query);
    if(DB::isError($q_update)) db_error_handling($q_update, $query);
  }

  $query  = "ALTER TABLE node_ips CHANGE node_type node_type ENUM( '', 'staros', 'mikrotik', 'icarus' ) NOT NULL;";
  $q_link = $db->query($query);
  if(DB::isError($q_link)) db_error_handling($q_link, $query);

  $query  = "ALTER TABLE nodes CHANGE coord_x longitude FLOAT(7,5) NOT NULL DEFAULT '0.00000', CHANGE coord_y latitude FLOAT(7,5) NOT NULL DEFAULT '0.00000';";
  $q_link = $db->query($query);
  if(DB::isError($q_link)) db_error_handling($q_link, $query);

  $query = "ALTER TABLE nodes DROP card , DROP mac , DROP ip , DROP range , DROP linktype , DROP channel , DROP antenna , DROP systemtype , DROP operatingsystem;";
  $q_link = $db->query($query);
  if(DB::isError($q_link)) db_error_handling($q_link, $query);

  $query = "ALTER TABLE snmp_link CHANGE link_ip link_ip INT(11) NOT NULL, ADD netmask INT NOT NULL AFTER link_ip;";
  $q_link = $db->query($query);
  if(DB::isError($q_link)) db_error_handling($q_link, $query);

  $query = "ALTER TABLE snmp_mac CHANGE ip ip INT(11) NOT NULL, CHANGE netmask netmask INT(11) NOT NULL;";
  $q_link = $db->query($query);
  if(DB::isError($q_link)) db_error_handling($q_link, $query);

  $query = "ALTER TABLE snmp_node CHANGE ip ip INT(11) NOT NULL, CHANGE netmask netmask INT(11) NOT NULL;";
  $q_link = $db->query($query);
  if(DB::isError($q_link)) db_error_handling($q_link, $query);

  $query = "ALTER TABLE wan CHANGE geox lon FLOAT(7,5) NOT NULL DEFAULT '0.00000', CHANGE geoy lat FLOAT(7,5) NOT NULL DEFAULT '0.00000';";
  $q_link = $db->query($query);
  if(DB::isError($q_link)) db_error_handling($q_link, $query);


?>