<?php

  /*
   *  $Id: output_mac.php,v 1.25 2007-10-26 16:19:42 marlow Exp $
   *
   *  converts IP's in database to long format
   *
   */

  include("../include/config.inc");
  
  // total node count
  $query  = "SELECT SM.mac,SM.ip,SM.netmask,SM.network,SM.broadcast,SM.int_status,SM.nip,N.address FROM ".$db_prefix."snmp_mac AS SM LEFT JOIN ".$db_prefix."nodes AS N ON SM.nid=N.id ORDER BY ip ASC";
  $storequery .= $query."\n"; // debug

  $q_link = $db->query($query);
  if(DB::isError($q_link)) db_error_handling($q_link, $query);

  print "<TABLE BORDER=\"0\" STYLE=\"background-color:#F1F1F1; color:#000066; font-family:Arial,Helvetica,sans-serif; font-size:10pt;\">\n";
  
  $tdhead    = "background-color:#F1F1F1; border-bottom:1px solid #FF0000; color:#000066; font-family:Arial,Helvetica,sans-serif; font-size:9pt; font-weight:bold;";
  $tdcbright = "background-color:#F1F1F1; color:#000066; font-family:Arial,Helvetica,sans-serif; font-size:10pt;";
  $tdcdark   = "background-color:#ECF5FF; color:#000066; font-family:Arial,Helvetica,sans-serif; font-size:10pt;";
  
  $color = "tdcbright";  
  print "<TR><TD STYLE=\"".$tdhead."\">MAC</TD><TD STYLE=\"".$tdhead."\">IP</TD><TD STYLE=\"".$tdhead."\">Netmask</TD><TD STYLE=\"".$tdhead."\"> - </TD><TD STYLE=\"".$tdhead."\">Network</TD><TD STYLE=\"".$tdhead."\">Broadcast</TD><TD STYLE=\"".$tdhead."\">Interface status</TD><TD STYLE=\"".$tdhead."\">Node IP ID</TD><TD STYLE=\"".$tdhead."\">Location</TD></TR>\n";
  while($row = $q_link->fetchRow(DB_FETCHMODE_ASSOC))
  {
    print "<TR><TD STYLE=\"".$$color."\">".$row["mac"]."</TD><TD STYLE=\"".$$color."\">".long2ip($row["ip"])."</TD><TD STYLE=\"".$$color."\">".long2ip($row["netmask"])."</TD><TD STYLE=\"".$$color."\"> - </TD><TD STYLE=\"".$$color."\">".long2ip($row["network"])."</TD><TD STYLE=\"".$$color."\">".long2ip($row["broadcast"])."</TD><TD STYLE=\"".$$color."\" ALIGN=\"center\">".$row["int_status"]."</TD><TD STYLE=\"".$$color."\" ALIGN=\"center\">".$row["nip"]."</TD><TD STYLE=\"".$$color."\">".utf8_encode($row["address"])."</TD></TR>\n";
    if($color == "tdcbright")
      $color = "tdcdark";
    else
      $color = "tdcbright";
  }
  print "</TABLE>\n";

?>