<?php

  /*
   *  $Id: output_ranges.php,v 1.6 2007-10-30 20:15:05 marlow Exp $
   *
   *  output the discovered ranges and what nodes they belongs to
   *
   */

  include("../include/config.inc");
  
  // total node count
  $query  = "SELECT SM.netmask,SM.network,L.city,L.region,L.country,L.lat,L.lon,N.address,count(SM.network) AS netcount FROM ".$db_prefix."snmp_mac AS SM LEFT JOIN ".$db_prefix."nodes AS N ON SM.nid=N.id LEFT JOIN ".$db_prefix."location AS L ON N.location=L.id WHERE SM.netmask !=0 GROUP BY SM.network ORDER BY SM.network ASC ";
  $storequery .= $query."\n"; // debug

  $q_link = $db->query($query);
  if(DB::isError($q_link)) db_error_handling($q_link, $query);

  print "<TABLE BORDER=\"0\" STYLE=\"background-color:#F1F1F1; color:#000066; font-family:Arial,Helvetica,sans-serif; font-size:10pt;\">\n";
  
  $tdhead    = "background-color:#F1F1F1; border-bottom:1px solid #FF0000; color:#000066; font-family:Arial,Helvetica,sans-serif; font-size:9pt; font-weight:bold;";
  $tdcbright = "background-color:#F1F1F1; color:#000066; font-family:Arial,Helvetica,sans-serif; font-size:10pt;";
  $tdcdark   = "background-color:#ECF5FF; color:#000066; font-family:Arial,Helvetica,sans-serif; font-size:10pt;";
  
  $color = "tdcbright";  
  print "<TR><TD STYLE=\"".$tdhead."\">Network</TD><TD STYLE=\"".$tdhead."\">City</TD><TD STYLE=\"".$tdhead."\">Region</TD><TD STYLE=\"".$tdhead."\">Country</TD><TD STYLE=\"".$tdhead."\">Latitude</TD><TD STYLE=\"".$tdhead."\">Longitude</TD><TD STYLE=\"".$tdhead."\">Address</TD><TD STYLE=\"".$tdhead."\">Count</TD></TR>\n";
  while($row = $q_link->fetchRow(DB_FETCHMODE_ASSOC))
  {
    print "<TR><TD STYLE=\"".$$color."\">".long2ip($row["network"])."/".strlen(str_replace("0", "", decbin($row["netmask"])))."</TD>";
    print "<TD STYLE=\"".$$color."\">".$row["city"]."</TD><TD STYLE=\"".$$color."\">".$row["region"]."</TD><TD STYLE=\"".$$color."\">".$row["country"]."</TD><TD STYLE=\"".$$color."\">".$row["lat"]."</TD><TD STYLE=\"".$$color."\">".$row["lon"]."</TD><TD STYLE=\"".$$color."\">".$row["address"]."</TD><TD STYLE=\"".$$color."\">".$row["netcount"]."</TD></TR>\n";
    if($color == "tdcbright")
      $color = "tdcdark";
    else
      $color = "tdcbright";
  }
  print "</TABLE>\n";

?>